# Functor Uq_libevent.Make

    module Make: functor (L : LIBOEVENT) -> POLLSET

Instantiate this module. Just do

      let P = Make(Liboevent)

and then call `P.create_pollset()` to create a `pollset` object, or `P.create_event_system()` to create an `event_system`.

(N.B. This functor saves Ocamlnet from being directly dependent on Liboevent.)

Parameters:

`L` | : | `LIBOEVENT`

    val create_pollset : unit -> Netsys_pollset.pollset

    val create_event_system : unit -> Unixqueue.event_system